Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.core
Class ManageableComponentFactoryBean

    java.lang.Object
      org.springframework.flex.core.ManageableComponentFactoryBean

All Implemented Interfaces:
  BeanNameAware, FactoryBean<ManageableComponent>

    public class ManageableComponentFactoryBean

extends Object
implements FactoryBean<ManageableComponent>, BeanNameAware

`FactoryBean` that allows for the creation of BlazeDS `ManageableComponent` prototype instances with the appropriate `ManageableComponent.initialize(String, ConfigMap)` callback after creation. Useful for configuring non-singleton helper objects such as a custom `JavaAdapter`.

Author:
  Jeremy Grelle

Constructor Summary
`ManageableComponentFactoryBean(Class<? extends ManageableComponent> componentClass)` Creates a new ManageableComponentFactoryBean for the specified component class

Method Summary
`ManageableComponent` | `getObject()`
`Class<?>` | `getObjectType()`
`boolean` | `isSingleton()` It is expected that objects created by this factory will always be prototype instances.
`void` | `setBeanName(String name)`
`void` | `setProperties(ConfigMap properties)` Sets the properties `ConfigMap` to use in initializing the created component

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManageableComponentFactoryBean

    public ManageableComponentFactoryBean(Class<? extends ManageableComponent> componentClass)

  Creates a new ManageableComponentFactoryBean for the specified component class

  Parameters:
    `componentClass` - the class of the component this `FactoryBean` will create

Method Detail

### getObject

    public ManageableComponent getObject()
                                  throws Exception

  Specified by:
    `getObject` in interface `FactoryBean<ManageableComponent>`
  Throws:
    `Exception`

### getObjectType

    public Class<?> getObjectType()

  Specified by:
    `getObjectType` in interface `FactoryBean<ManageableComponent>`

### isSingleton

    public final boolean isSingleton()

  It is expected that objects created by this factory will always be prototype instances.

  Specified by:
    `isSingleton` in interface `FactoryBean<ManageableComponent>`

### setBeanName

    public void setBeanName(String name)

  Specified by:
    `setBeanName` in interface `BeanNameAware`

### setProperties

    public void setProperties(ConfigMap properties)

  Sets the properties `ConfigMap` to use in initializing the created component

  Parameters:
    `properties` - the properties map

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.